Subject: bug#32142: closed (Re: bug#32142: WG: 26.1; Problems with flyspell-region)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 14 Jul 2018 15:57:02 +0000

Your bug report

#32142: WG: 26.1; Problems with flyspell-region

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32142: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32142
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32142: WG: 26.1; Problems with flyspell-region
From: Eli Zaretskii <[email-masked]>
To: "R. Diez" <[email-masked]>
Cc: [email-masked]
Date: Sat, 14 Jul 2018 18:56:05 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: "R. Diez" <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 14 Jul 2018 17:15:12 +0200
> 
> - I cannot type 'C-u M-$' to resume spell-checking, because Ctrl+U is 
> mapped to something else on my config, and I cannot get M-$ to work 
> anyway with my German keyboard. Or maybe because Alt+4 ('$' is on the 
> '4' key) is mapped to something else. Who knows.

I fixed this blunder, and I'm marking the bug done.

Thanks for your report and suggestions.

Subject: WG: 26.1; Problems with flyspell-region
From: "R. Diez" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 13 Jul 2018 15:11:13 +0000 (UTC)
List-Id: <debbugs-submit.debbugs.gnu.org>

I mentioned some problems with flyspell-region on the help-gnu-emacs mailing list here:

https://lists.gnu.org/archive/html/help-gnu-emacs/2018-07/msg00100.html
Issues are:

Issue 1) The spell check is performed just once, and is not updated as I type inside that region. This is what I wrote on the mailing list:

"If I mark a region (click on the beginning, hold shift, move to the end), and then run flyspell-region, the region gets spell-checked, and all the dictionary misses are underlined in red, as expected. But then, if I fix the words, the spelling marking (the red underlining) is not removed. It looks like Flyspell is not 'live' anymore within that region. The "overlay" is left behind as static font faces."
I do not want to activate Flyspell for the whole buffer, because that would lead to too much red underlining.

If I just wanted a single-shot, I would use ispell-region instead.

If this cannot be fixed, the current behaviour should be documented.

Issue 2) There is no easy way to remove the red underlining (overlays) left behind by flyspell-region. This is what I wrote on the mailing list:

"Often I get too many dictionary misses (too much red underlining). Or I just do not want to be distracted anymore. That is the reason why I want to be able to turn spell-checking on and off on demand on a particular region. And, when I want it off, I want to remove the "overlays" from that region. Why should they remain? At the moment, there is no direct way to do that."

I also wrote:

"After some searching, I found out about flyspell-delete-all-overlays and flyspell-delete-region-overlays, but alas, they are not marked as 'interactive'. I wonder how Flyspell thinks users should remove those marks (how to end the flyspell-region command)."

Issue 3) Disabling flyspell-persistent-highlight renders flyspell-region useless.

Contrary to some of the answers in the mailing list, that combination does not work at all. This is what I am seeing:

"What I mean is that, if you turn flyspell-persistent-highlight off, then flyspell-region does nothing other than consume CPU cycles. The red underlining for dictionary misses does not show up at all."

Again, I do not want to turn on Flyspell for the whole buffer. If flyspell-region is supposed to work only when the Flyspell Mode is active, it should check, and error if it is not active. But that kind of defeats the purpose of having a flyspell-region.